Bug 125236 - pam fails to load
pam fails to load
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks: up2date-rhel2.1-u6
  Show dependency treegraph
 
Reported: 2004-06-03 19:12 EDT by Ed Weller
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Weller 2004-06-03 19:12:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040304

Description of problem:
From up2date...

Invalid RPM package pm-0.75-46.7.3.src.rpm requested
Error Class Code:17
Error Class Info: File not found

I down loaded this manually and got the following when I attempted to
install...

[root@chvpklnxgdm rhn-packages]# rpm -Uhv pam-0.75-46.7.3.i386.rpm
warning: Expected size:       888941 =
lead(96)+sigs(321)+pad(7)+data(888517)
warning:   Actual size:       880128
Preparing...               
########################################### [100%]
warning: Expected size:       888941 =
lead(96)+sigs(321)+pad(7)+data(888517)
warning:   Actual size:       880128
   1:pam                    warning: /etc/security/chroot.conf created
as /etc/security/chroot.conf.rpmnew
error: unpacking of archive failed on file
/usr/share/man/man8/pam.8.gz;40bfa874: cpio: read failed - Bad file
descriptor
[root@chvpklnxgdm rhn-packages]#

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date
2.
3.
    

Additional info:
Comment 1 Suzanne Hillman 2004-06-09 13:59:35 EDT
Couple questions. Does this still happen? And, when you downloaded teh
package manually, can you compare the md5sum against what is listed in
the errata for that package?
https://rhn.redhat.com/errata/RHSA-2003-028.html

Finally, what happens when you do an up2date -d --src - this ought to
just download, and not actually try to install.
Comment 2 Ed Weller 2004-06-09 18:39:44 EDT
Okay, I'm new to Linux and managed to confuse things.
First... The up2date failures continue to happen even with the -d --
src options.  The message refers to "pam-0.75-46.7.3.src.rpm" which I 
am now thinking is different from that which I attempted to 
download "pam-0.75-46.7.3.i386.rpm".

Here is what happens when I attempt to download and install "pam-0.75-
46.7.3.i386.rpm".
[root@chvpklnxgdm root]# tar xvf rhn-packages.tar
rhn-packages/pam-0.75-46.7.3.i386.rpm
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now
[root@chvpklnxgdm root]# md5sum rhn-packages/pam-0.75-46.7.3.i386.rpm
560cc6074fb55251c050eee44814f536  rhn-packages/pam-0.75-
46.7.3.i386.rpm
[root@chvpklnxgdm root]#


Comment 3 Suzanne Hillman 2004-08-09 11:43:36 EDT
Mmm. Well, if the package doesn't finish downloading, then the package
md5sum will automatically be wrong...

I am, however, confused by why you are dealing with a tarball when you
are up2dating? You ought not to be...

What do you mean by 'downloaded it manually'?
Comment 4 RHEL Product and Program Management 2007-10-19 15:22:26 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.